%define upstream_name    Net-DMAP-Server
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 1
Summary:    Base class for D[A-Z]AP servers
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl-Net-DAAP-DMAP
BuildRequires: perl-Net-Rendezvous-Publish
BuildRequires: perl-POE-Component-Server-HTTP
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
A base class for D[A-Z]AP servers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Sep 24 2009 Texstar <texstar at gmail.com>
- add for missing dependency

